const UNUSED  = -1;
const UNUSED$ = "";
const TRUE    = 1;
const FALSE   = 0;
const ON      = 1;
const OFF     = 0;

{$I "colors.inc"}

{-----------------------------------------------------------------------------}
{---- GENERAL FUNCTIONS (OPEN, PRINT, SAVE, etc) ----}

declare FUNCTION OpenGraph LIB "STL_STBX.DLL" (string) AS integer;

declare FUNCTION DisplayGraph LIB "STL_STBX.DLL" (integer) AS integer;

declare FUNCTION PrintGraph LIB "STL_STBX.DLL" (integer) AS integer;
declare FUNCTION PrintGraphToOutputWindow LIB "STL_STBX.DLL" (integer) AS integer;

declare FUNCTION SaveGraph LIB "STL_STBX.DLL" (integer, 
        string) AS integer;

declare FUNCTION DuplicateGraph LIB "STL_STBX.DLL" (integer) AS integer;

declare FUNCTION GetGraph LIB "STL_STBX.DLL" (integer) AS integer;

declare FUNCTION DeleteGraph LIB "STL_STBX.DLL" (pointer to integer) AS integer;

declare FUNCTION GraphCopyToClipboard LIB "STL_STBX.DLL" (integer) AS integer;

{-----------------------------------------------------------------------------}
{---- CREATE 2D GRAPHS ----}

const SCATTERPLOT     = 0;
const LINEPLOT        = 1;
const STEPPLOT        = 2;
const BARPLOT         = 5;
const BARLEFTPLOT     = 6;
const BARRIGHTPLOT    = 7;
const BARTOPPLOT      = 8;
const PIECHART        = 10;
const MULTIPATTERNBAR = 11;
const VORONOIPLOT     = 12;
const IGNOREDPLOT     = 13;

declare FUNCTION NewGraph LIB "STL_STBX.DLL" (integer, 
        string, string, string, 
        long, pointer to double, 
        pointer to double) AS integer; 

{-----------------------------------------------------------------------------}
{---- CREATE 3D GRAPHS ----}

const SCATTERPLOTXYZ    = 0;
const SPACEPLOTXYZ      = 1;
const SPECTRALPLOTXYZ   = 2;
const DEVIATIONPLOTXYZ  = 3;
const TRACEPLOTXYZ      = 4;

declare FUNCTION NewGraphXYZ LIB "STL_STBX.DLL" (integer, 
        string, string, string, 
        string, long, 
        pointer to double, pointer to double,
        pointer to double) AS integer; 

const FIT_LINEAR_3D       = 0;
const FIT_QUADRATIC_3D    = 1;
const FIT_LEASTSQUARES_3D = 2;
const FIT_NEGEXP_3D       = 3;
const FIT_SPLINE_3D       = 4;
const FIT_USERDEFINED_3D  = 5;

declare FUNCTION NewSurface LIB "STL_STBX.DLL" (
        integer, string, 
        string, string, string, 
        string, long, 
        pointer to double, pointer to double,
        pointer to double) AS integer; 

const CONTOUR_LINES = 0;
const CONTOUR_AREAS = 1;

declare FUNCTION NewContour LIB "STL_STBX.DLL" (integer,
        integer, string, 
        string, string, string, 
        string, long, 
        pointer to double, pointer to double,
        pointer to double) AS integer; 

const TERNARY_2D                = 0;
const TERNARY_SCATTERPLOT       = 1;
const TERNARY_SPACEPLOT         = 2;
const TERNARY_DEVIATIONPLOT     = 3;
const TERNARY_TRACEPLOT         = 4;
const TERNARY_SURFACE           = 5;
const TERNARY_CONTOUR           = 6;

const FIT_TERN_LINEAR         = 0;
const FIT_TERN_QUADRATIC      = 1;
const FIT_TERN_FULLCUBIC      = 2;
const FIT_TERN_SPECCUBIC      = 3;
const FIT_TERN_USERDEFINED    = 4;

declare FUNCTION NewTernary LIB "STL_STBX.DLL" (integer, 
        integer, string, integer,
        string, string, string, 
        string, string,
        long, 
        pointer to double, pointer to double,
        pointer to double, pointer to double) AS integer; 

{-----------------------------------------------------------------------------}
{---- CREATE 3D SEQUENTIAL GRAPHS ----}

const SEQ3D_BOXES               = 0;
const SEQ3D_BLOCKS              = 1;
const SEQ3D_RIBBONS             = 2;
const SEQ3D_LINES               = 3;
const SEQ3D_SPIKES              = 4;
const SEQ3D_CONTOUR_DISCRETE    = 5;
const SEQ3D_SURFACE             = 6;
const SEQ3D_CONTOUR             = 7;

declare FUNCTION NewGraph3DSequential LIB "STL_STBX.DLL" (integer, 
        string, string, string, string,
        integer, integer, pointer to double,
        string, string) AS integer;

const HIST3D_BOXES              = 0;
const HIST3D_SPIKES             = 1;
const HIST3D_CONTOUR_DISCRETE   = 2;
const HIST3D_SURFACE            = 3;
const HIST3D_CONTOUR            = 4;

declare FUNCTION NewGraph3DHistogram LIB "STL_STBX.DLL" (integer, 
        string, string, string, string,
        integer, integer, pointer to double,
        string, string) AS integer;

{-----------------------------------------------------------------------------}
{---- CREATE MATRIX GRAPHS ----}

const MATRIX_SCATTERPLOT = 0;
const MATRIX_LINES       = 1;
const MATRIX_COLUMNS     = 2;

declare FUNCTION NewMatrix LIB "STL_STBX.DLL" (integer, 
        string, string, string, 
        integer, long, pointer to double,
        string) AS integer;

declare FUNCTION NewRectMatrix LIB "STL_STBX.DLL" (integer, 
        string, string, string, 
        integer, integer, long, 
        pointer to double, string) AS integer;

const ICON_FACES      = 0;
const ICON_STARS      = 1;
const ICON_SUNRAYS    = 2;
const ICON_POLYGONS   = 3;
const ICON_PIES       = 4;
const ICON_COLUMNS    = 5;
const ICON_LINES      = 6;
const ICON_PROFILES   = 7;

declare FUNCTION NewIconGraph LIB "STL_STBX.DLL" (integer, 
        string, string, string, 
        integer, integer, pointer to double,
        string, string) AS integer;

{-----------------------------------------------------------------------------}
{---- TITLES ----}

const TITLE_TOP1        = 0;
const TITLE_TOP2        = 1;
const TITLE_TOP3        = 2;
const TITLE_TOP4        = 3;
const TITLE_TOP5        = 4;
const TITLE_BOTTOM1     = 5;
const TITLE_BOTTOM2     = 6;
const TITLE_LEFT1       = 7;
const TITLE_LEFT2       = 8;
const TITLE_RIGHT1      = 9;
const TITLE_RIGHT2      = 10;

const TITLE_X1        = 5;
const TITLE_X2        = 6;
const TITLE_Y1        = 7;
const TITLE_Y2        = 8;
const TITLE_Z1        = 9;
const TITLE_Z2        = 10;
const TITLE_V1        = 11;
const TITLE_V2        = 12;

declare FUNCTION GraphSetTitle LIB "STL_STBX.DLL" (integer, integer, 
        string) AS integer;

{-----------------------------------------------------------------------------}
{---- SCALES ----}

const AX_X   = 0;
const AX_Y   = 1;
const AX_RY  = 2;
const AX_TOP = 3;
const AX_Z   = 2;
const AX_V   = 3;

const SCALING_AUTO_0   = 0;
const SCALING_AUTO     = 1;
const SCALING_MANUAL_0 = 2;
const SCALING_MANUAL   = 3;

declare FUNCTION GraphSetScaling LIB "STL_STBX.DLL" (integer, integer,
        integer, double, double, double) AS integer;

const TICKMARKS_OFF     = 0;
const TICKMARKS_OUTSIDE = 1;
const TICKMARKS_INSIDE  = 2;
const TICKMARKS_CROSSED = 3;
declare FUNCTION GraphSetScaleTickmarks LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer, 
        integer, integer, integer) AS integer;

declare FUNCTION GraphSetScaleTextLabels LIB "STL_STBX.DLL" (integer, 
        integer, long, 
        pointer to double, string) AS integer;

declare FUNCTION GraphSetScaleTextLabel LIB "STL_STBX.DLL" (integer, 
        integer, double, string) AS integer;

const SCALEVALUES_OFF           = 0;
const SCALEVALUES_NUMERIC       = 1;
const SCALEVALUES_TEXT          = 2;
const SCALEVALUES_DATES         = 3;

declare FUNCTION GraphSetScaleValuesStyle LIB "STL_STBX.DLL" (integer, 
        integer, integer, num_width as integer, num_dec as integer, 
        integer, integer) AS integer;

const SCALING_LINEAR            = 0;
const SCALING_LOGARITHMIC       = 1;
const SCALING_LOGDECIMAL        = 2;

const SCALING_LAYOUT_AUTO        = 0;
const SCALING_LAYOUT_PARALLEL    = 1;
const SCALING_LAYOUT_NORMAL      = 2;
const SCALING_LAYOUT_ALTERNATE   = 3;

declare FUNCTION GraphSetScaleParam LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer, 
        integer, integer, 
        integer) AS integer;

{-----------------------------------------------------------------------------}
{---- FITTING ----}

const FIT_LINEAR        = 1;
const FIT_LOG           = 2;
const FIT_EXP           = 3;
const FIT_SPLINE        = 4;
const FIT_POLYNOMIAL    = 5;
const FIT_LEASTSQUARES  = 6;
const FIT_NEGEXP        = 7;

declare FUNCTION GraphSetPlotFitting LIB "STL_STBX.DLL" (integer, 
        integer, integer) AS integer;

declare FUNCTION GraphSetPlotFittingFunction LIB "STL_STBX.DLL" (integer, 
        integer, string) AS integer;

declare FUNCTION GraphSetPlotFittingParam LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer) AS integer;

declare FUNCTION GraphSetPlotConfidBands LIB "STL_STBX.DLL" (integer, 
        integer, integer, double) AS integer;

const ELLIPSE_OFF      = 0;
const ELLIPSE_CONF     = 1;
const ELLIPSE_RANGE    = 2;

declare FUNCTION GraphSetPlotEllipse LIB "STL_STBX.DLL" (integer, 
        integer, integer, double) AS integer;

{-----------------------------------------------------------------------------}
{---- data point labels ----}

declare FUNCTION GraphSetDataPointLabels LIB "STL_STBX.DLL" (integer, integer,
        long, string) AS integer;
declare FUNCTION GraphSetDataPointLabel LIB "STL_STBX.DLL" (integer, integer,
        long, string) AS integer;

{-----------------------------------------------------------------------------}
{---- graph legend ----}

declare FUNCTION GraphSetLegend LIB "STL_STBX.DLL" (integer,
        integer, integer) AS integer;

{-----------------------------------------------------------------------------}
{---- CUSTOMIZATIONS of 2D GRAPHS ----}

declare FUNCTION GraphAddPlot LIB "STL_STBX.DLL" (integer, integer, 
        string, long, pointer to double, 
        pointer to double) AS integer; 

const MINMAX_X        = 3;
const MINMAX_Y        = 4;

declare FUNCTION GraphAddMinMaxPlot LIB "STL_STBX.DLL" (integer, 
        integer, string,
        long, pointer to double, 
        pointer to double, pointer to double) AS integer; 

declare FUNCTION GraphAddRangePlot LIB "STL_STBX.DLL" (integer, 
        string, string,
        long, pointer to double, 
        pointer to double, pointer to double, 
        pointer to double) AS integer; 

declare FUNCTION GraphAddBWPlot LIB "STL_STBX.DLL" (integer, 
        string, string, string,
        long, pointer to double, 
        pointer to double, 
        pointer to double, 
        pointer to double,
        pointer to double, 
        pointer to double) AS integer; 

declare FUNCTION GraphAddPlotXYZ LIB "STL_STBX.DLL" (integer,  
        string, long, pointer to double, 
        pointer to double, pointer to double) AS integer; 


const DATALABELS_OFF    = 0;
const DATALABELS_TEXT   = 1;
const DATALABELS_X      = 2;
const DATALABELS_Y      = 3;
const DATALABELS_X_Y    = 4;
const DATALABELS_Z      = 5;
const DATALABELS_X_Z    = 6;
const DATALABELS_Y_Z    = 7;
const DATALABELS_X_Y_Z  = 8;

const BAR_COLUMNS       = 0;
const BAR_LINES         = 1;
const BAR_WHISKERS      = 2;
const BAR_RECTANGLES    = 3;

declare FUNCTION GraphSetPlot2DLayout LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer, 
        integer, double, double, 
        integer) AS integer;
declare FUNCTION GraphSetPlotName LIB "STL_STBX.DLL" (integer, 
        integer, string, string) AS integer;

const PIE_2D = 0;
const PIE_3D = 1;

const PIE_CIRCLE  = 0;
const PIE_ELLIPSE = 1;

const PIE_LABELS_OFF         = 0;
const PIE_LABELS_PERC        = 1;
const PIE_LABELS_VALUES      = 2;
const PIE_LABELS_TEXT        = 3;
const PIE_LABELS_TEXT_PERC   = 4;
const PIE_LABELS_TEXT_VALUES = 5;

declare FUNCTION GraphSetPieLayout LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer, 
        double, double,
        double, double, double,
        integer, integer) AS integer;

declare FUNCTION GraphSetPieStyle LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer, 
        integer, integer) AS integer;

declare FUNCTION GraphSetRangePlot2DLayout LIB "STL_STBX.DLL" (integer, 
        integer, integer, 
        integer, double, 
        integer) AS integer;

declare FUNCTION GraphSetBWPlot2DLayout LIB "STL_STBX.DLL" (integer, 
        integer, integer, 
        integer, integer, 
        double, double, 
        integer) AS integer;

{-----------------------------------------------------------------------------}
{---- CUSTOMIZATIONS of 3D XYZ graphs ----}

declare FUNCTION GraphSetXYZLayout LIB "STL_STBX.DLL" (integer, 
        integer, integer, 
        double, integer) AS integer;

declare FUNCTION GraphSetXYZFittingFunction LIB "STL_STBX.DLL" (integer, 
        string) AS integer;
declare FUNCTION GraphSetXYZFittingParam LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer,
        integer, integer,
        integer, integer) AS integer;
declare FUNCTION GraphSetEyePosition LIB "STL_STBX.DLL" (integer, 
        double, double, double) AS integer;

{-----------------------------------------------------------------------------}
{---- CUSTOMIZATIONS of MATRIX graphs ----}

const MATRIX_HIST_OFF         = 0;
const MATRIX_HIST_COMMON      = 1;
const MATRIX_HIST_INDEPENDENT = 2;

declare FUNCTION GraphSetMatrixHistograms LIB "STL_STBX.DLL" (integer, 
        integer, integer) AS integer;

{-----------------------------------------------------------------------------}
{---- patterns, colors ----}

const P_CROSS             = 0 ;
const P_STAR              = 1 ;
const P_FILLED_DIAMOND    = 2 ;
const P_FILLED_TRIANGLE   = 3 ;
const P_FILLED_SQUARE     = 4 ;
const P_FILLED_CIRCLE     = 5 ;
const P_DIAMOND           = 6 ;
const P_TRIANGLE          = 7 ;
const P_SQUARE            = 8 ;
const P_CIRCLE            = 9 ;
const P_HORIZONTAL_LINE   = 10;

const L_SOLID                   = 0;
const L_LONG_DASH               = 1;
const L_SHORT_DASH              = 2;
const L_LONG_SHORT_DASH         = 3;
const L_LONG_SHORT_SHORT_DASH   = 4;
const L_DOTTED                  = 5;
const L_DENSE_DOTTED            = 6;

{all patterns from area patterns dialog box can be used here we list only
named ones}
const A_SOLID                   = 0 ;
const A_EMPTY                   = 1 ;
const A_HORIZONTAL_HATCH_H      = 2 ;
const A_VERTICAL_HATCH_H        = 3 ;
const A_BACKWARD_DIAGONAL_H     = 4 ;
const A_FORWARD_DIAGONAL_H      = 5 ;
const A_CROSS_H                 = 6 ;
const A_DIAGONAL_CROSS_H        = 7 ;

const A_HORIZONTAL_HATCH        = 8 ;
const A_VERTICAL_HATCH          = 9 ;
const A_BACKWARD_DIAGONAL       = 10;
const A_FORWARD_DIAGONAL        = 11;
const A_CROSS                   = 12;
const A_DIAGONAL_CROSS          = 13;
                                     
const A_HORIZONTAL_HATCH_DENSE  = 14;
const A_VERTICAL_HATCH_DENSE    = 15;
const A_BACKWARD_DIAGONAL_DENSE = 18;
const A_FORWARD_DIAGONAL_DENSE  = 19;

const A_DOTS                    = 21;
const A_DENSE                   = 22;
const A_GENERIC                 = 23;
const A_CHESS                   = 24;
const A_BRICK                   = 27;
const A_BALLS                   = 29;

declare FUNCTION GraphSetPlotPointStyle LIB "STL_STBX.DLL" (integer,
        integer, integer, integer,
        double, long) AS integer;
declare FUNCTION GraphSetPlotLineStyle LIB "STL_STBX.DLL" (integer,
        integer, integer, integer,
        double, long) AS integer;
declare FUNCTION GraphSetPlotAreaStyle LIB "STL_STBX.DLL" (integer,
        integer, integer, integer,
        long) AS integer;
declare FUNCTION GraphSetPlotBarLineStyle LIB "STL_STBX.DLL" (integer,
        integer, integer, integer,
        double, long) AS integer;
declare FUNCTION GraphSetPlotFitLineStyle LIB "STL_STBX.DLL" (integer,
        integer, integer, integer,
        double, long) AS integer;

{-----------------------------------------------------------------------------}
{---- DRAWING (graphs, circles, arrows etc) ----}

declare FUNCTION SetDrawingMatrixCoordinates LIB "STL_STBX.DLL" (
        integer, integer, integer, integer) AS integer; 
declare FUNCTION SetDrawingCategorCoordinates LIB "STL_STBX.DLL" (
        integer, integer, integer) AS integer; 

const MAPPING_FIXEDSIZE         = 0;
const MAPPING_ISOTROPIC         = 1;
const MAPPING_ANISOTROPIC       = 2;

declare FUNCTION GraphEmbedGraph LIB "STL_STBX.DLL" (integer, 
        pointer to integer, integer,
        integer, integer,
        double, double,
        double, double, integer) AS integer;
declare FUNCTION GraphEmbedGraph3D LIB "STL_STBX.DLL" (integer, 
        pointer to integer, integer,
        integer, integer,
        double, double, double,
        double, double, double) AS integer;
declare FUNCTION GraphEmbedGraphTernary LIB "STL_STBX.DLL" (integer, 
        pointer to integer, integer,
        integer, integer,
        double, double, double, double,
        double, double, double, double) AS integer;
        
declare FUNCTION GraphInsertFile LIB "STL_STBX.DLL" (integer, 
        string, integer, integer,
        double, double,
        double, double, integer) AS integer;
declare FUNCTION GraphInsertFile3D LIB "STL_STBX.DLL" (integer, 
        string, integer, integer,
        double, double, double,
        double, double, double) AS integer;
declare FUNCTION GraphInsertFileTernary LIB "STL_STBX.DLL" (integer, 
        string, integer, integer,
        double, double, double, double,
        double, double, double, double) AS integer;
         
declare FUNCTION GraphDrawText LIB "STL_STBX.DLL" (integer, 
        string, double, double, integer) AS integer;
declare FUNCTION GraphDrawText3D LIB "STL_STBX.DLL" (integer, 
        string, double, double, double) AS integer;
declare FUNCTION GraphDrawTextTernary LIB "STL_STBX.DLL" (integer, 
        string, double, double, double, double) AS integer;

const O_HORIZONTAL      = 0;
const O_VERTICAL_LEFT   = 90;
const O_VERTICAL_RIGHT  = 270;

const AL_LEFT   = 0;
const AL_TOP    = 0;
const AL_CENTER = 1;
const AL_RIGHT  = 2;
const AL_BOTTOM = 2;

const FILL_TRANSPARENT          = 0;
const FILL_WHITE                = 1;
const FILL_OUTSIDE_BACKGROUND   = 2;
const FILL_INSIDE_BACKGROUND    = 3;

declare FUNCTION GraphDrawTextParam LIB "STL_STBX.DLL" (integer, 
        string, string, integer, long,
        integer, integer, integer,
        integer, integer, 
        double, double, integer) AS integer;
declare FUNCTION GraphDrawTextParam3D LIB "STL_STBX.DLL" (integer, 
        string, string, integer, long,
        integer, integer, integer,
        integer, integer,
        double, double, double) AS integer;
declare FUNCTION GraphDrawTextParamTernary LIB "STL_STBX.DLL" (integer, 
        string, string, integer, long,
        integer, integer, integer,
        integer, integer, 
        double, double, double, double) AS integer;

const SHAPE_RECTANGLE           = 0;
const SHAPE_ROUNDEDRECTANGLE    = 1;
const SHAPE_ELLIPSE             = 2;
const SHAPE_ARC                 = 3;

declare FUNCTION GraphDrawShape LIB "STL_STBX.DLL" (integer,
        integer, double, double, 
        double, double, integer) AS integer;
declare FUNCTION GraphDrawShape3D LIB "STL_STBX.DLL" (integer,
        integer, double, double, double,
        double, double, double) AS integer;
declare FUNCTION GraphDrawShapeTernary LIB "STL_STBX.DLL" (integer,
        integer, double, double, double,
        double, double, double, double, double)
        AS integer;

declare FUNCTION GraphDrawPolyline LIB "STL_STBX.DLL" (integer, 
        integer, pointer to double,
        integer) AS integer;

const HEAD_FANCY_FILLED         = 0;
const HEAD_FANCY_EMPTY          = 1;
const HEAD_TRIANGULAR_FILLED    = 2;
const HEAD_TRIANGULAR_EMPTY     = 3;
const HEAD_REGULAR_EMPTY        = 4;
const HEAD_ERROR_BAR            = 5;

declare FUNCTION GraphDrawArrow LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer, 
        integer, double, double, 
        double, double, integer) AS integer;
declare FUNCTION GraphDrawArrow3D LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer, 
        integer, double, double, double,
        double, double, double) AS integer;
declare FUNCTION GraphDrawArrowTernary LIB "STL_STBX.DLL" (integer, 
        integer, integer, integer, 
        integer, double, double, double, 
        double, double, double, double, double)
        AS integer;

declare FUNCTION GraphSetObjectLineStyle LIB "STL_STBX.DLL" (integer,
        integer, integer, integer,
        double, long) AS integer;

declare FUNCTION GraphSetObjectAreaStyle LIB "STL_STBX.DLL" (integer,
        integer, integer, integer,
        long) AS integer;

declare FUNCTION GraphSetObjectPatternStyle LIB "STL_STBX.DLL" (integer,
        integer, integer, integer) AS integer;

{-----------------------------------------------------------------------------}
{---- GLOBAL CUSTOMIZATIONS and UTILITIES ----}

declare FUNCTION ColorRGB LIB "STL_STBX.DLL" (integer, integer, integer) AS long;

declare FUNCTION GraphSetDefaultFont LIB "STL_STBX.DLL" (integer, 
        string, integer, long) AS integer;

const GRIDLINES_NONE      = 0;
const GRIDLINES_X         = 1;
const GRIDLINES_Y         = 2;
const GRIDLINES_XY        = 3;
const GRIDLINES_Z         = 4;
const GRIDLINES_XZ        = 5;
const GRIDLINES_YZ        = 6;
const GRIDLINES_XYZ       = 7;

declare FUNCTION GraphSetGridlines LIB "STL_STBX.DLL" (integer, 
        integer) AS integer;

const PROP_SCREEN   = 0;
const PROP_PRINTER  = -1;
declare FUNCTION GraphSetProportion LIB "STL_STBX.DLL" (integer, 
        double) AS integer;

declare FUNCTION GraphSetMappingArea LIB "STL_STBX.DLL" (integer, 
        double, double, double, double) AS integer;

declare FUNCTION GraphChangeMappingBase LIB "STL_STBX.DLL" (integer, 
        integer) AS integer;

declare FUNCTION GraphGetHwnd LIB "STL_STBX.DLL" (integer) AS integer;

{-----------------------------------------------------------------------------}
const ORIENT_LANDSCAPE = 1;
const ORIENT_PORTRAIT  = 0;
declare FUNCTION PrinterSetOrientation LIB "STL_STBX.DLL" (integer) AS integer;
